summaryrefslogtreecommitdiffstats
path: root/libraries/id3lib/id3lib.SlackBuild
diff options
context:
space:
mode:
author Yalla-One2010-05-11 14:56:15 +0200
committer Robby Workman2010-05-11 14:56:15 +0200
commit177f37f37614af0ce754371f132b85db729da4ce (patch)
tree3223054e71c430da455e27192077ac80fc4dec0d /libraries/id3lib/id3lib.SlackBuild
parent8014ab687095b56ff69f33ca8e6a460694be4d80 (diff)
downloadslackbuilds-177f37f37614af0ce754371f132b85db729da4ce.tar.gz
libraries/id3lib: Initial import
Diffstat (limited to 'libraries/id3lib/id3lib.SlackBuild')
-rw-r--r--libraries/id3lib/id3lib.SlackBuild109
1 files changed, 109 insertions, 0 deletions
diff --git a/libraries/id3lib/id3lib.SlackBuild b/libraries/id3lib/id3lib.SlackBuild
new file mode 100644
index 0000000000..8e7b4b45aa
--- /dev/null
+++ b/libraries/id3lib/id3lib.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for id3lib
+
+# Copyright 2006 Halim Issa <yallaone@gmail.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Heavily based on original slackbuild by AlienBOB.
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=id3lib
+VERSION=3.8.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog HISTORY NEWS README THANKS TODO doc/*"
+
+case "$ARCH" in
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ ;;
+ i686) SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ ;;
+ s390) SLKCFLAGS="-O2"
+ ;;
+ powerpc) SLKCFLAGS="-O2"
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+zcat $CWD/id3lib_3.8.3_UTF16_writing_bug.patch.gz | patch -p1 || exit 1
+( cd doc ; zcat $CWD/id3lib_Doxyfile.patch.gz | patch -p0 || exit 1 ) || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --enable-static=no \
+ --enable-debug=no \
+ || exit 1
+
+make || exit 1
+make docs 2>/dev/null
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Strip down the doc and examples directories so we can copy w/impunity
+for i in doc/ examples/; do \
+ find $i \
+ \( -name 'Makefile*' -or -name '*.ps.gz' -or -name '*.pdf' -or -name '*.in' \
+ \) -exec rm {} \; ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+# Remove the massive amount of API docs
+rm -rf $PKG/usr/doc/$PRGNAM-$VERSION/api
+
+
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+chmod -R o-w $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz